REPSNAPPER(1)

NAME
repsnapper - program to operate RepRap 3D printer

SYNOPSIS

repsnapper [{-t | --no-gui}] [{-i | --input} file] [{-b | --binary} file] [{-o | --output} file] [{--svg} file] [{--ssvg} file] [{-s | --settings} file]

repsnapper [{-h | --help} | {-v | --version}]

DESCRIPTION

This manual page documents briefly the repsnapper command.

This manual page was written for the Debian distribution because the original program does not have a manual page.

repsnapper is a host software for controlling the RepRap open source 3D printer.

OPTIONS

The program follows the usual GNU command line syntax, with long options starting with two dashes (`-'). A summary of options is included below.

-t, --no-gui
    Act as a head-less renderer.

-i file, --input=file
    Read input Model file.

-b file, --binary=file
    Batch convert input file to binary STL.

-o file, --output=file
    If not head-less (-t), enter non-printing GUI mode. Only able to output gcode to file.

--svg=file
    Slice to SVG file.

--ssvg=file
    Slice to single layer SVG files fileNNNN.svg

-s file, --settings=file
    Read render settings file.

-h, --help
    Show summary of options.

-v, --version
    Show version of program.

FILES

/etc/xdg/repsnapper/repsnapper.conf
    The system-wide configuration file to control the behaviour of repsnapper.

${HOME}/.config/repsnapper/repsnapper.conf
    The per-user configuration file to control the behaviour of repsnapper.

AUTHOR

Ying-Chun Liu <paulliu@debian.org>
    Wrote this manpage for the Debian system.

COPYRIGHT
Copyright © 2012 Ying-Chun Liu (PaulLiu)

This manual page was written for the Debian system (and may be used by others).

Permission is granted to copy, distribute and/or modify this document under the terms of the GNU Library General Public License, Version 2 or (at your option) any later version published by the Free Software Foundation.

On Debian systems, the complete text of the GNU Library General Public License can be found in /usr/share/common-licenses/LGPL.